Bug 1732960 - cmp -b shows incorrect data
Summary: cmp -b shows incorrect data
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: diffutils
Version: 8.0
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: rc
: 8.0
Assignee: Than Ngo
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 1746915
TreeView+ depends on / blocked
 
Reported: 2019-07-24 20:36 UTC by Pablo Greco
Modified: 2020-02-02 14:55 UTC (History)
3 users (show)

Fixed In Version: diffutils-3.6-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Pablo Greco 2019-07-24 20:36:05 UTC
Description of problem:
cmp -b (print bytes) shows incorrect output

Version-Release number of selected component (if applicable):
diffutils-3.6-5.el8

How reproducible:
Always


Steps to Reproduce:
1.echo 'This is some text to play with' >/var/tmp/a
2.echo 'This is some test to play with' >/var/tmp/b
3.cmp -b /var/tmp/a /var/tmp/b

Actual results:
/var/tmp/a /var/tmp/b differ: byte 16, line 1 is  12 ^J 163 s


Expected results:
/var/tmp/a /var/tmp/b differ: byte 16, line 1 is 170 x 163 s


Additional info:

Local rebuild applying this patch from upstream fixes the problem
http://git.savannah.gnu.org/cgit/diffutils.git/commit/?id=ffd63aedad3c0eb08ebb27103e5f242f8732dc0c

Comment 1 Than Ngo 2019-07-25 07:59:07 UTC
I can reproduce the issue with the attached testcase. Pablo, thank for your report.

Comment 5 Than Ngo 2019-11-19 14:17:43 UTC
it's fixed in diffutils-3.6-6.el8


Note You need to log in before you can comment on or make changes to this bug.